"use strict";
const chai_1 = require("chai");
const HunspellReader_1 = require("./HunspellReader");
const Aff = require("./aff");
describe('HunspellReader En', function () {
    // We are read big files, so we need to give it some time.
    this.timeout(10000);
    const aff = __dirname + '/../dictionaries/en_US.aff';
    const dic = __dirname + '/../dictionaries/en_US.dic';
    const hunspellReader = new HunspellReader_1.HunspellReader(aff, dic);
    it('reads dict entries', () => {
        const words = hunspellReader.readDicWords();
        chai_1.expect(words).to.be.not.empty;
        return words
            .skip(10000)
            .take(10)
            .do(info => { console.log(info); })
            .toPromise();
    });
    it('reads words with info', () => {
        const words = hunspellReader.readWordsRx();
        chai_1.expect(words).to.be.not.empty;
        return words
            .skip(10000)
            .take(100)
            .do(info => { console.log(info); })
            .toPromise();
    });
    it('reads words', () => {
        const words = hunspellReader.readWords();
        chai_1.expect(words).to.be.not.empty;
        return words
            .skip(10000)
            .take(100)
            .do(info => { console.log(info); })
            .toPromise();
    });
});
describe('HunspellReader Nl', function () {
    // We are read big files, so we need to give it some time.
    this.timeout(10000);
    const aff = __dirname + '/../dictionaries/nl.aff';
    const dic = __dirname + '/../dictionaries/nl.dic';
    const hunspellReader = new HunspellReader_1.HunspellReader(aff, dic);
    /*
        it('reads dict entries', () => {
            const words = hunspellReader.readDicWords();
            expect(words).to.be.not.empty;
            return words
                .skip(20000)
                .take(10)
                .tap(info => { console.log(info); })
                .toPromise();
        });
    */
    it('reads words with info', () => {
        const words = hunspellReader.readWordsRx();
        chai_1.expect(words).to.be.not.empty;
        return words
            .skip(200000)
            .take(200)
            .do(info => { console.log(Aff.affWordToColoredString(info)); })
            .toPromise();
    });
    /*
        it('reads words', () => {
            const words = hunspellReader.readWords();
            expect(words).to.be.not.empty;
            return words
                .skip(100000)
                .take(100)
                .do(info => { console.log(info); })
                .toPromise();
        });
    */
});
//# sourceMappingURL=HunspellReader.test.js.map